package com.realnet.app-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.app-b.Entity.Todo;
import com.realnet.app-b.Services.TodoService ;








@RequestMapping(value = "/token/Todo")
 @CrossOrigin("*") 
@RestController
public class tokenFree_TodoController {
	@Autowired
	private TodoService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Todo")
		  public Todo Savedata(@RequestBody Todo data) {
		Todo save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Todo/{id}")
	public  Todo update(@RequestBody Todo data,@PathVariable Integer id ) {
		Todo update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Todo/getall/page")
	public Page<Todo> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Todo> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Todo")
	public List<Todo> getdetails() {
		 List<Todo> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Todo")
	public List<Todo> getallwioutsec() {
		 List<Todo> get = Service.getdetails();		
		return get;
}
@GetMapping("/Todo/{id}")
	public  Todo  getdetailsbyId(@PathVariable Integer id ) {
		Todo  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Todo/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}